--
-- zbt_dpins.vhd - instantiate IO buffers with 16ms drive strength for
--                 ZBT design
--
-- (c) Alpha Data Parallel Systems Ltd. 1999-2001
--
-- Example program for ADM-XRC/ADM-XRC-P/ADM-XRCII-L/ADM-XRCII
--

library ieee;
use ieee.std_logic_1164.all;

-- synopsys translate_off
library unisim;
use unisim.vcomponents.all;
-- synopsys translate_on

entity zbt_dpins is
    generic(
        data_width:  in         natural);
    port(
	o:           in         std_logic_vector(data_width - 1 downto 0);
	i:           out        std_logic_vector(data_width - 1 downto 0);
        t:           in         std_logic_vector(data_width - 1 downto 0);
        io:          inout      std_logic_vector(data_width - 1 downto 0));
end zbt_dpins;

architecture struct of zbt_dpins is

    component IOBUF_F_16
	port(O : out  	std_logic;
	     IO: inout 	std_logic;
	     I : in 	std_logic;
	     T : in  	std_logic);
    end component;

begin

    generate_io_buffers: for j in 0 to data_width - 1 generate
        buf0: IOBUF_F_16
            port map(
                O  => i(j),
                IO => io(j),
                I  => o(j),
                T  => t(j));
    end generate;

end struct;



		

